 import requestWhite from '../utils/requestWhite.js';
import Qs from 'qs';

 
export function findByOpenId(data) {
	var url='/mobile/regUser/findByOpenId';
	return requestWhite({
		method: 'get',
		data: data,
		url: url
	})
}

export function validateCode(data) {
	 
	return requestWhite({
		method: 'post',
		data:data ,
		url: '/mobile/regUser/validateCode'
	})
} 

export function getVerifyCode(tel) {
	 
	return requestWhite({
		method: 'post',
		data:{
			telephone:tel
		} ,
		url: '/mobile/regUser/getVerifyCode'
	})
} 

export function passwordLogin(data) {
	 
	 var url=""
	 if(data.form=="job"){
	 	url='/mobile/jobUserApi/passwordLogin';
	 }else if(data.form=="hr"){
	 	url='/mobile/sysUserApi/passwordLogin';
	 }else{
	 	return 
	 }
	 
	return requestWhite({
		method: 'post',
		data:data ,
		url: url
	})
} 